*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-image: url(../image/fondo.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 330vh;
}

h2{
    text-align: center;
    font-size: 40px;
    font-family: arial;
    margin-top: 80px;
    color: aqua;
    text-shadow: 0px 0px 6px black;
}

.content-all{
    width: 210px;
    margin: auto;
    perspective: 600px;
    position: relative;
    margin-top: 50px;
}

.content-carrousel{
    width: 100%;
    position: absolute;
    animation: rotar 25s infinite linear;
    transform-style: preserve-3d;
}

.content-carrousel:hover{
    animation-play-state: paused;
    cursor: pointer;
}


.content-carrousel figure{
    width: 100%;
    height: 120px;
    overflow: hidden;
    position: absolute;
    box-shadow: 0px 0px 20px 0px black;
    transition: all 300ms;
    
}

.content-carrousel figure:hover{
    box-shadow: 0px 0px 0px 0px black;
    transition: all 300ms;
}

.content-carrousel figure:nth-child(1){transform: rotateY(0deg) translateZ(300px);}
.content-carrousel figure:nth-child(2){transform: rotateY(40deg) translateZ(300px);}
.content-carrousel figure:nth-child(3){transform: rotateY(80deg) translateZ(300px);}
.content-carrousel figure:nth-child(4){transform: rotateY(120deg) translateZ(300px);}
.content-carrousel figure:nth-child(5){transform: rotateY(160deg) translateZ(300px);}
.content-carrousel figure:nth-child(6){transform: rotateY(200deg) translateZ(300px);}
.content-carrousel figure:nth-child(7){transform: rotateY(240deg) translateZ(300px);}
.content-carrousel figure:nth-child(8){transform: rotateY(280deg) translateZ(300px);}
.content-carrousel figure:nth-child(9){transform: rotateY(320deg) translateZ(300px);}
.content-carrousel figure:nth-child(10){transform: rotateY(360deg) translateZ(300px);}

.content-carrousel img{
    width: 100%;
    transition: all 300ms;
}

.content-carrousel img:hover{
    transform: scale(1.2);
    transition: all 300ms;
}


@keyframes rotar{
    from{
        transform: rotateY(0deg);
    }to{
        transform: rotateY(360deg);
    }
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

img{
    max-width: 100%;
}

.container-all{
    position: relative;
    max-width: 1000px;
    width: 100%;
    border-radius: 6px;
    overflow: hidden;
}

.slide{
    display: flex;
    transform: translate3d(0, 0, 0);
    transition: all 900ms;
    animation-name: autoplay;
    animation-duration: 20.5s;
    animation-direction: alternate;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
}

.item-slide{
    position: relative;
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    flex-grow: 0;
    max-width: 100%;
}

.pagination{
    position: absolute;
    bottom: 20px;
    left: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.pagination-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid white;
    width: 16px;
    height: 16px;
    border-radius: 4px;
    overflow: hidden;
    cursor: pointer;
    background: rgba(50, 150, 238, 0.5);
    margin: 0 10px;
    text-align: center;
    transition: all 300ms;
}

.pagination-item:hover{
    transform: scale(2);
}

.pagination-item img{
    display: inline-block;
    max-width: none;
    height: 100%;
    transform: scale(1);
    opacity: 0;
    transition: all 300ms;
}

.pagination-item:hover img{
    opacity: 1;
    transform: scale(1);
}


input[id="1"]:checked ~ .slide{
    animation: none;
    transform: translate3d(0, 0, 0);
}

input[id="1"]:checked ~ .pagination .pagination-item[for="1"]{
    background: #33a5ff;
}

input[id="2"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 1), 0, 0);
}

input[id="2"]:checked ~ .pagination .pagination-item[for="2"]{
    background: #33a5ff;
}


input[id="3"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 2), 0, 0);
}

input[id="3"]:checked ~ .pagination .pagination-item[for="3"]{
    background: #33a5ff;
}

input[id="4"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 3), 0, 0);
}

input[id="4"]:checked ~ .pagination .pagination-item[for="4"]{
    background: #33a5ff;
}

input[id="5"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 4), 0, 0);
}

input[id="5"]:checked ~ .pagination .pagination-item[for="5"]{
    background: #33a5ff;
}

input[id="6"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 5), 0, 0);
}

input[id="6"]:checked ~ .pagination .pagination-item[for="6"]{
    background: #33a5ff;
}

input[id="7"]:checked ~ .slide{
    animation: none;
    transform: translate3d(calc(-100% * 6), 0, 0);
}

input[id="7"]:checked ~ .pagination .pagination-item[for="7"]{
    background: #33a5ff;
}


@keyframes autoplay{
    14%{
        transform: translate3d(calc(-100% * 0), 0, 0);
    }
    
    28%{
        transform: translate3d(calc(-100% * 1), 0, 0);
    }
    
    42%{
        transform: translate3d(calc(-100% * 2), 0, 0);
    }
    56%{
        transform: translate3d(calc(-100% * 3), 0, 0);
    }
    70%{
        transform: translate3d(calc(-100% * 4), 0, 0);
    }
    84%{
        transform: translate3d(calc(-100% * 5), 0, 0);
    }
    100%{
        transform: translate3d(calc(-100% * 6), 0, 0);
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;  
}



/*Iconos de las redes sociales*/

.container-redes{
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container-redes a{
    margin-top: 4px;
}

.container-redes img{
    width: 60px;
    padding: 4px;
    background: rgba(0,0,0,0.0);
    cursor: pointer;
    border-radius: 100%;
    transition: all 300ms;
}

.container-redes a:hover img{
    background: rgba(0,0,0,0.10);
}
